import request from '@/assets/js/utils/request'

// 查询专家信息
export function queryExpertBaseInfo(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertInfoController/queryExpertBaseInfo',
    method: 'post',
    data
  })
}

// 管理员或者专家修改专家基本信息
export function updateExpertBaseInfo(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertInfoController/updateExpertBaseInfo',
    method: 'post',
    data
  })
}

// 提交专家基本信息
export function submitOrUpdateExptExpertCareer(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCareerController/submitOrUpdateExptExpertCareer',
    method: 'post',
    data
  })
}

// 根据专家id获取任职经历
export function getExpertCareerById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCareerController/getExpertCareerById',
    method: 'post',
    data
  })
}

// 更新专家任职经历
export function updateaExptExpertCareer(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCareerController/updateaExptExpertCareer',
    method: 'post',
    data
  })
}

// 删除专家任职经历
export function deleteExptExpertCareer(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCareerController/deleteExptExpertCareer',
    method: 'post',
    data
  })
}

// 根据专家用户id获取教育经历
export function getExpertEducationById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEducationController/getExpertEducationById',
    method: 'post',
    data
  })
}

// 删除专家教育经历
export function deleteExptExpertEducation(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEducationController/deleteExptExpertEducation?id=' + id,
    method: 'post'
  })
}

// 提交或更新教育经历信息
export function submitOrUpdateExptExpertEducation(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEducationController/submitOrUpdateExptExpertEducation',
    method: 'post',
    data
  })
}

// 查询专家某个教育经历
export function queryTBExpertEducationById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEducationController/queryTBExpertEducationById',
    method: 'post',
    data
  })
}

// 根据专家id获取职称信息
export function getExpertTitlesById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertTitlesController/getExpertTitlesById',
    method: 'post',
    data
  })
}

// 删除专家职称信息
export function deleteExptExpertTitles(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertTitlesController/deleteExptExpertTitles?id=' + id,
    method: 'post'
  })
}

// 提交或更新专家职称信息
export function submitOrUpdateExptExpertTitles(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertTitlesController/submitOrUpdateExptExpertTitles',
    method: 'post',
    data
  })
}

// 专家提交申请
export function submitExpertApply(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertInfoController/submitExpertApply',
    method: 'post',
    data
  })
}
